#include "sh7045lib.h"

#define PORT SCI_1

void __main(void) {}
int main(void) {

  init_sci(PORT, 4);
  set_imask(0);
  putstr(PORT, "echoback program begin.\r\n");

  while (1) {
    char ch;
    sci_read(PORT, &ch, 1);
    if (ch >= 'a' && ch <= 'z') {
      ch += 'A' - 'a';
    }
    sci_write(PORT, &ch, 1);
  }
}
